> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipecorn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all Searches

> Returns the searches the user has access to. By default only enriched searches are returned. Pass `enriched=false` to return all searches, enriched or not.



## OpenAPI

````yaml GET /searches
openapi: 3.0.1
info:
  title: Pipecorn List API
  description: Pipecorn List API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.pipecorn.com/api/v2/
security:
  - defaultApiKey: []
paths:
  /searches:
    get:
      summary: Retrieve all searches
      description: >-
        Returns the searches the user has access to. By default only enriched
        searches are returned. Pass `enriched=false` to return all searches,
        enriched or not.
      parameters:
        - name: enriched
          in: query
          required: false
          description: >-
            By default (or when set to `true`) only enriched searches are
            returned. Set to `false` to return all searches, enriched or not.
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: A JSON array of search objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  searches:
                    type: array
                    items:
                      $ref: '#/components/schemas/Search'
        '429':
          description: Rate limit exceeded (1 request per second)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Search:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier for the search
        name:
          type: string
          description: The name of the search
        leads_count:
          type: integer
          description: Number of leads in the search
        created_at:
          type: string
          format: date-time
          description: When the search was created
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    defaultApiKey:
      type: apiKey
      in: header
      description: Your API key
      name: X-API-KEY

````